Bug 484697 - Not all source files are highlighted
Not all source files are highlighted
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 10:49 EST by Ben Konrath
Modified: 2009-02-10 09:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 09:41:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 264343 None None None Never

  None (edit)
Description Ben Konrath 2009-02-09 10:49:22 EST
Description of problem:

Only the first source file in a given ChangeLog entry is highlighted.

Version-Release number of selected component (if applicable):

eclipse-changelog-2.6.6-1.fc10.i386

How reproducible:

Always

Steps to Reproduce:
1. Check out this project:
http://svn.parabola.me.uk/mkgmap/trunk
2. Open the ChangeLog file.
3. Go to the entry dated "2008-12-16" and see that only the first source file is highlighted.

Actual results:

Only the first source file of a given ChangeLog entry is highlighted and the section "(I hope)" should not be highlighted.

Expected results:

All of the source files of a given entry should be highlighted and "(I hope)" in the "2008-12-16" entry should not be highlighted.
Comment 1 Andrew Overholt 2009-02-09 10:59:27 EST
The "(I hope)" could be one of these bugs:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=179546
https://bugs.eclipse.org/bugs/show_bug.cgi?id=179547

I can remember filing a bug about non-functions being highlighted improperly but can't find it now.
Comment 2 Andrew Overholt 2009-02-09 17:21:36 EST
I think this could apply to this bug as well:

https://bugzilla.redhat.com/show_bug.cgi?id=484695#c5

Note You need to log in before you can comment on or make changes to this bug.